This URL deletes the specified rate limiting profile.
Resource URL
DELETE /ratelimitingprofile/<profile_id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Profile id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Status returned by deletion | Number |
Example
Request
DELETE https://<NSM_IP>/sdkapi/ratelimitingprofile/1001
Response
{
"status":1
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 1001 | internal error |
2 | 404 | 2403 | Invalid rate limiting profile id / profile not visible in this domain |
3 | 400 | 2410 | Profile in use cannot be deleted. Remove current assignments for the profile before deleting |